Bug 420721 - mbsync fails incorrectly with "malformed SEARCH response"
mbsync fails incorrectly with "malformed SEARCH response"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: isync (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 18:21 EST by chris
Modified: 2009-01-07 13:09 EST (History)
1 user (show)

See Also:
Fixed In Version: isync-1.0.3-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 07:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More mbsync messages after a few weeks of rawhide operation (14.88 KB, application/x-bzip-compressed-tar)
2008-01-13 07:27 EST, Nicolas Mailhot
no flags Details

  None (edit)
Description chris 2007-12-11 18:21:52 EST
Some IMAP servers will return:

   * SEARCH

as a legitimate "none found" response to a SEARCH command.  But mbsync reports
that response as "malformed SEARCH response" (which is incorrect), and then
fails to sync mail correctly.

There's a Debian report at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413336
with a (very simple) attached patch which fixes the problem at
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=01search.patch;att=1;bug=413336

It would be great to pull the patch into the Fedora RPMs.
Comment 1 Lubomir Kundrak 2007-12-17 12:18:06 EST
>>> 7 UID SEARCH HEADER X-TUID 465db9b6f452e5e3
* SEARCH
IMAP error: malformed SEARCH response
7 OK SEARCH completed (Success)
Comment 2 Lubomir Kundrak 2007-12-17 12:33:08 EST
Chris: Thanks for the report, though I nearly overlooked it if it weren't for
bug #425838 :( I commited the patch and am initiated the build in koji as
isync-1.0.3-4.fc9 [1]. Please test it and let me know if it fixes things for you.

I don't think this is serious enough for a Fedora 8 update (it doesn't impact
functionality, does it?). Is your opinion different?

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=297181
Comment 3 Nicolas Mailhot 2008-01-13 07:27:34 EST
Created attachment 291499 [details]
More mbsync messages after a few weeks of rawhide operation
Comment 4 Lubomir Kundrak 2008-01-14 06:40:50 EST
Thanks Nicolas, will look at it later this week (unless it needs immediate
attention), setting NEEDINFO to myslef so I know it's my turn :)
Comment 5 Lubomir Kundrak 2008-01-14 07:09:58 EST
Nicolas: The original issue was resolved, so I close this and have split issues
from your logs into two separate bug reports:

bug #428648 for the double-free() and
bug #428649 for the IMAP server warnings

Note You need to log in before you can comment on or make changes to this bug.